Name:           ladspa-bs2b-plugins
Version:        0.9.1
Release:        1%{?dist}
Summary:        Bauer stereophonic-to-binaural DSP LADSPA plugin
License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://bs2b.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/bs2b/plugins/LADSPA%20plugin/%{version}/ladspa-bs2b-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ladspa-devel libbs2b-devel
Requires:       ladspa

%description
The Bauer stereophonic-to-binaural DSP (bs2b) is designed to improve
headphone listening of stereo audio records.

Typical stereo recordings are made for listening with speakers.
What's missing in headphones is the sound going from each channel
to the opposite ear, arriving a short time later for the extra distance
traveled, and with a bit of high frequency roll-off for the shadowing
effect of the head. The time delay to the far ear should also be
somewhat longer at low frequencies than at high frequencies. bs2b
implements both of these ideas to transform stereophonic recordings
for headphone listening. 

This plugin allows the bs2b library to be used with the LADSPA plug-in
architecture.

%prep
%autosetup -n ladspa-bs2b-%{version}

%build
%configure
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}/ladspa
%{__install} %{_builddir}/ladspa-bs2b-0.9.1/src/.libs/bs2b.so %{buildroot}%{_libdir}/ladspa/bs2b.so
%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ladspa/*.so

%changelog
* Wed Oct 21 2015 John Popplewell <johnhatestrash@gmail.com> - 0.9.1-1
- Initial Packaging

